<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">

  <changeSet id="001" author="tihomirov">
    <comment>create interaction_log table</comment>
    <createTable schemaName="public" tableName="interaction_log">
      <column name="ID" type="BIGINT" autoIncrement="true">
        <constraints nullable="false"/>
      </column>
      <column name="sent_date" type="TIMESTAMP WITH TIME ZONE"/>
      <column name="form" type="TEXT"/>
      <column name="sender" type="TEXT"/>
      <column name="status" type="TEXT"/>
      <column name="file_name" type="TEXT"/>
      <column name="records_sent" type="INT"/>
      <column name="records_accepted" type="INT"/>
      <column name="file_id" type="varchar(36)"/>
      <column name="ervu_id" type="varchar(36)"/>
    </createTable>
  </changeSet>
</databaseChangeLog>